$include /etc/inputrc
set editing-mode vi
set keyseq-timeout 0.01
set show-mode-in-prompt on
$if mode=vi
    set keymap vi-command
    # these are for vi-command mode
    "\e[A": history-search-backward
    "\e[B": history-search-forward
    j: history-search-forward
    k: history-search-backward
    "\C-l": clear-screen
    set keymap vi-insert
    # these are for vi-insert mode
    "\e[A": history-search-backward
    "\e[B": history-search-forward
    "\C-l": clear-screen
$endif
set vi-ins-mode-string "\1\e[6 q\2(ins) "
set vi-cmd-mode-string "\1\e[4 q\2(cmd) "
